Bug 75922 - KGhostview Arbitary Code Execution
KGhostview Arbitary Code Execution
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kdegraphics (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
http://www.kde.org/info/security/advi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-14 20:50 EDT by James Brost
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-14 20:50:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Brost 2002-10-14 20:50:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
KGhostview includes a DSC 3.0 parser from GSview, which is vulnerable to a
buffer overflow while parsing a specially crafted .ps input file. It also
contains code from gv 3.5.x which is vulnerable to another buffer overflow
triggered by malformed postscript or Adobe pdf files.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
Viewing certain Postscript or PDF files can result in the execution of
arbitary code placed in the file and as a result opens possibilities for any
remote manipulation under the local user account.


Additional info:

KGhostView of any KDE release between KDE 1.1 and KDE 3.0.3a
Comment 1 Ngo Than 2002-10-21 17:24:06 EDT
It's fixed in 3.0.3-0.7.2. We will release it as errata soon

Note You need to log in before you can comment on or make changes to this bug.